# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Mojolicious.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Mojolicious-Plugin-Syslog
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A plugin for enabling a Mojolicious app to log to syslog
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojolicious-plugin-syslog

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHTHORSEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::Syslog manpage is a the Mojolicious manpage plugin for making
the Mojo::Log manpage use the Sys::Syslog manpage in addition (or instead) of file logging.

This can be useful when starting Hypnotoad through Systemd, but want simple
logging of error messages to syslog.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/M*

%changelog
* Mon Apr 29 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

